疯狂

STANDING ON THE SHOULDERS OF GIANTS
posts - 481, comments - 486, trackbacks - 0, articles - 1
  BlogJava :: 首页 :: 新随笔 :: 联系 :: 聚合  :: 管理

android 学习之安装

Posted on 2009-11-20 15:49 疯狂 阅读(1536) 评论(0)  编辑  收藏 所属分类: android

  1 下载最新的 Android SDK 
 最近  http://developer.android.com不知道咋回事下载不了 ,给大家提供一个地   址 http://dl.google.com/android/android-sdk-windows-1.6_r1.zip  速度很快 我这700k左右

  2 下载 JDK6
http://java.sun.com/javase/downloads/index.jsp

3,下载 Eclipse 3.2,3.3版本(开发 Android的 IDE)
http://www.eclipse.org/downloads/

 

    

 然后安装android的eclipse插件

 

1.  启动 Eclipse, 选择  Help > Software Updates > Find and Install..
2.  弹出对话框后,选择  Search for new features to install 点击 Nex
3.  点击  New Remote Site. 
4.  在编辑框中输入更新插件的网址:
https://dl-ssl.google.com/android/eclipse/. 点击  OK
5.  看到一个更新的列表,点击 sFinish. 
6.  在返回的对话框中选择  Android Plugin > Eclipse Integration >
Android Development Tools 并且点击 Next. 
7.  选择  Accept terms of the license agreement, 点击 Next. 
8.  点击  Finish. 
9.  点击 Install All. 
10. 重新启动 Eclipse. 

这样就安装完毕了

 

 

4 设置android的sdk目录

5 建立新项目

输入信息:

 运行这时候会提示:

 

也就是说需要我们建立android的虚拟设备区支持我们的sdk 1.6

 选择yes,输入信息 其中选择1.6的那项

 

选择createAvd

也可以通过命令来建立:

这时候就需要在环境变量的path里面第一步解压sdk的根目录下的tools目录,或者直接转向tools目录再运行

命令android create avd --target 2 --name avdname

 

然后就可以运行我们的程序了

 显示结果:

 

屏幕上的相关信息可见于项目根目录下的res目录,例如:values/strings.xml

内容:

 

 

<?xml version="1.0" encoding="utf-8"?>
<resources>
<string name="hello">Hello World, HelloWorld!</string>
<string name="app_name">my-first-android-application</string>
</resources>

 

 相关问题:

  Failed to find an AVD compatible with target 'Android 1.6' ,no compatible AVDs with target

  ,还有无法找到avd的path问题

  根据我的遭遇:由于我以前用的盗版xp新建立的avd并不在当前用户目录下也:我的文档目录是d:\我的文档 而不在   C:\Documents and Settings/administrator   。因此需要将.android目录拷贝到C:\Documents and Settings\administrator   下 重要的一步是要主意看里面的ini文件里面的路径是否对应,否则会出现路径问题:

.android/avd里面以avd名命名的.ini文件:例如我的是:

target=android-4path=C:\Users\qiaobing\.android\avd\dvd6.avd(Vista环境)xp要注意看是否在当前用户下

 基本上就可以了.

 

 

 

 

 

 


只有注册用户登录后才能发表评论。


网站导航: